using namespace std;


#include <fstream>

const char logname[] = "log.txt";

class CAutomat : public CWnd
{
public:
	void auto_mode();			//  -
	void manual_mode();			//   
	void blinking_mode();		//   
	void switch_button();		// /  
	void power_button();		// /  
	void switch_lights();		//    

	void brokenred();			//  
	void brokengreen();			//  
	void brokenyellow();		//  
	void fixedred();			//  
	void fixedgreen();			//  
	void fixedyellow();			//  
	
	void buttonpressed();		//   

	void long_time_elapsed();	//    
	void short_time_elapsed();	//    

	CAutomat();
	~CAutomat();

private:
//  
	int		cur_mode;
	bool	blink_mode;
	bool	button_on;
	bool	broken_red;
	bool	broken_yellow;
	bool	broken_green;
	bool	broken;
	bool	button_pressed;
	int		y0;
//  
	bool		LOGGING;
	ofstream	logfile;
	bool		on;
	//   cur_mode
	enum modes {AUTO, MANUAL, BLINKING};
	//  
	enum timers {LTIMER=1, STIMER=2};
	//  -
//  
	void A0(int);
//  
	bool x1();
	bool x2(); 
	bool x3();
	bool x4(); 
	bool x5();
	bool x6();
	bool x7();
	bool x8();
	bool x9();
//  
	void z1();
	void z2();
	void z3();
	void z4();
	void z5();
	void z6();
	void z7();
	void z8();
	void z9();
	void z10();
	void z11();
//   
	void log(char*, char);
	void log_begin(int, int);
	void log_end(int);
	void log_input(int, char*, bool);
	void log_output(int, char*);
	void log_err(int);
	void log_trans(int, int);
//   
	void light(states);


	//{{AFX_MSG(CAutomat)
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};