// TrafficLightsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TrafficLightsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTrafficLightsDlg dialog

CTrafficLightsDlg::CTrafficLightsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTrafficLightsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTrafficLightsDlg)
	m_sliderButton = 0;
	m_sliderMode = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTrafficLightsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTrafficLightsDlg)
	DDX_Slider(pDX, IDC_SLIDER_BUTTON, m_sliderButton);
	DDX_Slider(pDX, IDC_SLIDER_MODE, m_sliderMode);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTrafficLightsDlg, CDialog)
	//{{AFX_MSG_MAP(CTrafficLightsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CREATE()
	ON_BN_CLICKED(IDC_BUTTON, OnButton)
	ON_BN_CLICKED(IDC_CHANGELIGHT, OnChangelight)
	ON_BN_CLICKED(IDC_POWER, OnPower)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER_MODE, OnReleasedcaptureSliderMode)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER_BUTTON, OnReleasedcaptureSliderButton)
	ON_BN_CLICKED(IDC_BROKENGREEN, OnBrokengreen)
	ON_BN_CLICKED(IDC_BROKENRED, OnBrokenred)
	ON_BN_CLICKED(IDC_BROKENYELLOW, OnBrokenyellow)
	ON_BN_CLICKED(IDC_FIXEDGREEN, OnFixedgreen)
	ON_BN_CLICKED(IDC_FIXEDRED, OnFixedred)
	ON_BN_CLICKED(IDC_FIXEDYELLOW, OnFixedyellow)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTrafficLightsDlg message handlers

BOOL CTrafficLightsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	((CSliderCtrl *)GetDlgItem(IDC_SLIDER_MODE))->SetRange(1, 3);
	((CSliderCtrl *)GetDlgItem(IDC_SLIDER_BUTTON))->SetRange(1, 2);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTrafficLightsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTrafficLightsDlg::OnPaint() 
{
	if (IsIconic())
	{
/*		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
*/	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTrafficLightsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

int CTrafficLightsDlg::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here
	if (!m_Canvas.Create(NULL, NULL, WS_VISIBLE,
		CRect(0,0,0,0), this, AFX_IDW_PANE_FIRST+2, NULL))
	{
		TRACE0("Failed to create canvas window\n");
		return -1;
	}
	if (!m_Automat.Create(NULL, NULL, WS_VISIBLE,
		CRect(0,0,0,0), this, AFX_IDW_PANE_FIRST+3, NULL))
	{
		TRACE0("Failed to create automat window\n");
		return -1;
	}

	return 0;
}

void CTrafficLightsDlg::OnButton() 
{
	// TODO: Add your control notification handler code here
	m_Automat.buttonpressed();
}

void CTrafficLightsDlg::OnChangelight() 
{
	// TODO: Add your control notification handler code here
	m_Automat.switch_lights();
}

void CTrafficLightsDlg::OnPower() 
{
	// TODO: Add your control notification handler code here
	m_Automat.power_button();
}

void CTrafficLightsDlg::OnReleasedcaptureSliderMode(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if(m_sliderMode == 1)
		m_Automat.auto_mode();
	else if(m_sliderMode == 2)
		m_Automat.manual_mode();
	else
		m_Automat.blinking_mode();

	*pResult = 0;
}

void CTrafficLightsDlg::OnReleasedcaptureSliderButton(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	m_Automat.switch_button();

	*pResult = 0;
}

void CTrafficLightsDlg::OnBrokengreen() 
{
	// TODO: Add your control notification handler code here
	m_Automat.brokengreen();
}

void CTrafficLightsDlg::OnBrokenred() 
{
	// TODO: Add your control notification handler code here
	m_Automat.brokenred();
}

void CTrafficLightsDlg::OnBrokenyellow() 
{
	// TODO: Add your control notification handler code here
	m_Automat.brokenyellow();
	
}

void CTrafficLightsDlg::OnFixedgreen() 
{
	// TODO: Add your control notification handler code here
	m_Automat.fixedgreen();
}

void CTrafficLightsDlg::OnFixedred() 
{
	// TODO: Add your control notification handler code here
	m_Automat.fixedred();
}

void CTrafficLightsDlg::OnFixedyellow() 
{
	// TODO: Add your control notification handler code here
	m_Automat.fixedyellow();
}
